Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# BufferedDistancePhasedNode Class Reference

Inheritance diagram for BufferedDistancePhasedNode:

List of all members.

## Public Member Functions
def | __init__
def | __repr__
def | __str__
def | setPhase
## Public Attributes
| bufferParamList
| bufferParamMap
## Static Public Attributes
tuple | notify = directNotify.newCategory("BufferedDistancePhasedObject")

## Detailed Description

    This class is similar to DistancePhasedNode except you can also
    specify a buffer distance for each phase.  Upon entering that phase,
    its distance will be increased by the buffer amount.  Conversely,
    the distance will be decremented by that amount, back to its
    original size, upon leaving.  In this manner, you can avoid the problem
    of 'phase flicker' as someone repeatedly steps across a static phase
    border.

    You specify the buffer amount in the bufferParamMap parameter
    to __init__().  It has this format:

    bufferParamMap = {'alias':(distance, bufferAmount), ...}

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | bufferParamMap = `{}`,
|  |  | autoCleanup = `True`,
|  |  | enterPrefix = `'enter'`,
|  |  | exitPrefix = `'exit'`,
|  |  | phaseCollideMask = `BitMask32.allOn()`,
|  |  | fromCollideNode = `None`
| ) |  |

Reimplemented from DistancePhasedNode.

## Member Function Documentation

def __repr__ | ( |  | self | ) |

Reimplemented from DistancePhasedNode.

def __str__ | ( |  | self | ) |

Reimplemented from DistancePhasedNode.

def setPhase | ( |  | self,
|  |  | aPhase
| ) |  |

    see DistancePhasedNode.setPhase()

Reimplemented from DistancePhasedNode.

## Member Data Documentation

bufferParamList

bufferParamMap

tuple notify = directNotify.newCategory("BufferedDistancePhasedObject")`[static]`

Reimplemented from DistancePhasedNode.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties